Kerbal Space Program - Bug #23268

Clicking on Docking Mode while in-flight makes Staging permanently disabled during Go For Orbit
tutorial

07/28/2019 10:54 PM - SmashedFinger

Status: Resolved Start date: 07/28/2019
Severity: Low % Done: 100%
Assignee: victorr

Category: Controls and Ul

Target version: 1.12.0

Version: 1.7.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Hello,

I'm new to KSP. | was finishing the Go For Orbit tutorial, trying to return to Kerbin with Valentina as Gene suggested, and when | was
clicking around in menus while waiting for a good retrograde burn time, the purple "staging disabled" light turned on and would not
turn off. | watched helplessly as Valentina splashed nose first into the ocean, with Gene chiding me. The Abort sequence could not
be activated, as backspace nor the HUD button worked. The chute did not automatically open either, as it was not safe to deploy,
and | was out of fuel at that point.

| suspect it was opening the "Docking Mode" HUD that caused this issue. Perhaps there is a way to turn off Gene disabling staging
after a certain point. As | recall | had left the last window with the "Finish" button open with his instructions.

| hope this is helpful!

-SmashedFinger

History

#1 - 10/31/2019 09:56 PM - victorr

- Subject changed from Staging permanently disabled during Go For Orbit tutorial to Clicking on Docking Mode while in-flight makes Staging
permanently disabled during Go For Orbit tutorial

- Status changed from New to Confirmed
- Assignee set to victorr

- % Done changed from 0 to 10

#3 - 06/24/2021 11:09 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version setto 1.12.0

- % Done changed from 10 to 80

We have made some changes in this last 1.12.0 release and would like some feedback on this issue. Thanks.

#4 - 08/06/2021 07:04 PM - Technicalfool
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Should be fixed in the latest update.
